Package twisted :: Package internet :: Module base :: Class BaseConnector

[show private | hide private]
[frames | no frames]

## Class BaseConnector

    Ephemeral --+
                |
               BaseConnector

Known Subclasses:
  `Connector`, `Connector`, `Connector`

Basic implementation of connector.

State can be: "connecting", "connected", "disconnected"

Method Summary
| `__init__(self, factory, timeout, reactor)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `buildProtocol(self, addr)`
| `cancelTimeout(self)`
| ``connect`(self)` Start connection to remote server.
| `connectionFailed(self, reason)`
| `connectionLost(self, reason)`
| ``disconnect`(self)` Disconnect whatever our state is.
| ``stopConnecting`(self)` Stop attempting to connect.

Class Variable Summary
`tuple` | `__implements__`
`int` | `factoryStarted`
`NoneType` | `timeoutID`

Method Details

### connect(self)

Start connection to remote server.

### disconnect(self)

Disconnect whatever our state is.

### stopConnecting(self)

Stop attempting to connect.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.internet.interfaces.IConnector'>,)

### factoryStarted

  Type:
    `int`
  Value:

        0

### timeoutID

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:25 2003 | http://epydoc.sf.net